aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2023-08-08 07:51:43 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2023-08-08 07:51:43 -0700
commit231c9cfb0b64c3c566d89f0cd1ae5b0b124a9f25 (patch)
tree4c73ef6029204f7dfb30d70687aad8f8e3b12213
parentsnapshots-create.sh: hopefully make this script entirely quiet for normal runs (diff)
downloadmastermirror-scripts-231c9cfb0b64c3c566d89f0cd1ae5b0b124a9f25.tar.gz
mastermirror-scripts-231c9cfb0b64c3c566d89f0cd1ae5b0b124a9f25.tar.bz2
mastermirror-scripts-231c9cfb0b64c3c566d89f0cd1ae5b0b124a9f25.zip
*: fix trap calls to ensure call on regular exit and errors20230808T145156Z
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
-rwxr-xr-xcreate-squashfs-snapshot4
-rwxr-xr-xsign-sync-binpackages.sh4
-rwxr-xr-xverify-digests.sh2
3 files changed, 5 insertions, 5 deletions
diff --git a/create-squashfs-snapshot b/create-squashfs-snapshot
index 1579877..4fc35ff 100755
--- a/create-squashfs-snapshot
+++ b/create-squashfs-snapshot
@@ -69,8 +69,8 @@ reponame=$(<"${repodir}"/profiles/repo_name)
[[ ${reponame} ]]
tempdir=$(mktemp -d)
-
-trap 'rm -r "${tempdir}"' EXIT
+[[ -z $tempdir ]] && echo "Failed to create tempdir" 1>&2 && exit 97
+trap 'rm -rf "${tempdir}"' SIGINT SIGTERM EXIT
# Build exclusion list
EXCLUSION_LIST="$(mktemp -p "${tempdir}" squashfs-exclude.XXXXXXXXXX)"
diff --git a/sign-sync-binpackages.sh b/sign-sync-binpackages.sh
index 862cea9..4c85365 100755
--- a/sign-sync-binpackages.sh
+++ b/sign-sync-binpackages.sh
@@ -53,9 +53,9 @@ if [[ -f ${LOCKFILE} ]] ; then
echo sign-sync-binpackages.sh lockfile ${LOCKFILE} exists, aborting
exit 112
fi
-touch ${LOCKFILE} || exit 110
+touch "${LOCKFILE}" || exit 110
# ensure the lock is cleaned on exit
-trap "rm -f ${LOCKFILE}" SIGINT SIGTERM
+trap 'rm -f "${LOCKFILE}"' SIGINT SIGTERM EXIT
# make sure we have an updated gpg-agent
gpgconf --kill all
diff --git a/verify-digests.sh b/verify-digests.sh
index bf39a87..bd0cfa8 100755
--- a/verify-digests.sh
+++ b/verify-digests.sh
@@ -100,7 +100,7 @@ T=$(date -u +%Y%m%dT%H%M%SZ)
tmp1=$(mktemp --tmpdir)
tmp2=$(mktemp --tmpdir)
failures=$(mktemp --tmpdir gentoo-failures.$T.XXXXXXXXXX)
-trap "rm -f $tmp1 $tmp2" SIGINT SIGTERM
+trap 'rm -f "${tmp1}"" "${tmp2}"' SIGINT SIGTERM EXIT
# Now check them
failed_digests=()